s3games.robot

## Class RobotCmd

- java.lang.Object
- - s3games.robot.RobotCmd

-     public class RobotCmd
      extends java.lang.Object

  This class knows the details of the SSC-32 serial communication protocol, and translates the meaningful commands into low-level strings that are sent over the serial line to the SSC-32 servo controller

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `RobotCmd.Command` list of available commands

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RobotCmd(RobotCmd.Command type)` construct a new command of the requested type - without arguments
    `RobotCmd(RobotCmd.Command type, double[] angles)` construct a new command of the requested type - with arguments

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCommand()` retrieve the command string
    `static char` | `responseBusy()` a character sent as a response to the query command that indicates that the command is still being executed
    `static char` | `responseIdle()` a character sent as a response to the query command that indicates that the command has been completed

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RobotCmd

          public RobotCmd(RobotCmd.Command type,
                  double[] angles)

      construct a new command of the requested type - with arguments

    - #### RobotCmd

          public RobotCmd(RobotCmd.Command type)

      construct a new command of the requested type - without arguments

  - ### Method Detail

    - #### responseIdle

          public static char responseIdle()

      a character sent as a response to the query command that indicates that the command has been completed

    - #### responseBusy

          public static char responseBusy()

      a character sent as a response to the query command that indicates that the command is still being executed

    - #### getCommand

          public java.lang.String getCommand()

      retrieve the command string